<?php
/**
 * @version		$Id: default.php 131 2009-06-19 09:08:25Z eddieajau $
 * @package		TAOJ.Quanta
 * @subpackage	mod_quanta_scatters
 * @copyright	Copyright (C) 2009 New Life in IT Pty Ltd. All rights reserved.
 * @license		GNU General Public License <http://www.gnu.org/copyleft/gpl.html>
 * @link		http://www.theartofjoomla.com
 */

$moduleId		= (int) $this->module->id;

if ($this->debug)
{
	JHtml::addIncludePath(JPATH_ADMINISTRATOR.'/components/com_quanta/helpers/html');
	echo '<pre style="overflow:auto;height:100px;">'.JHtml::_('json.format', (string) $this->chart).'</pre>';
}

JHtml::script('swfobject.js', 'components/com_quanta/media/js/');
?>
<script type="text/javascript">
function ofc_ready() {}
function mod_quanta_scatters_<?php echo $moduleId;?>_data()
{
	return '<?php echo (string) $this->chart;?>';
}
swfobject.embedSWF('<?php echo $this->baseurl;?>/components/com_quanta/media/flash/open_flash_chart_2.swf',
	'mod_quanta_scatters_<?php echo (int) $this->module->id;?>',
	'<?php echo (int) $this->params->get('chart-width');?>',
	'<?php echo (int) $this->params->get('chart-height');?>',
	'9.0.0',
	'expressInstall.swf',
	{'get-data':'mod_quanta_scatters_<?php echo $moduleId;?>_data',
	 'id':'mod_quanta_scatters_<?php echo (int) $this->module->id;?>'}
	);
</script>

<div id="mod_quanta_scatters_<?php echo (int) $this->module->id;?>">
<?php echo JText::_('Quanta_Error_chart_cannot_display');?>
</div>
